body, html {
    height: 100%;
    margin: 0;
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    max-width: 600px;
    width: 100%;
    margin: 15px;
}

h1 {
    color: #333;
    text-align: center;
}

form {
    display: flex;
    flex-direction: column;
}

label {
    margin-top: 10px;
}

input[type='file'], input[type='text'], input[type='color'], input[type='number'], select {
    padding: 8px;
    margin-top: 5px;
    border: 1px solid #ddd;
    border-radius: 4px;
    width: 100%;
}

.color-input {
    width: 80px;
}

#textControls > div, #textAndLogoAlignmentControl > div, #logoUploadControl, #sidebarColorControl {
    margin-bottom: 1rem;
}

button {
    padding: 10px;
    margin-top: 20px;
    background-color: #007bff;
    color: white;
    border: 0;
    border-radius: 5px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

#imagePreview {
    text-align: center;
    margin-top: 20px;
    padding: 10px;
}

#imagePreview img {
    max-width: 100%;
    height: auto;
}

@media only screen and (max-width: 768px) {
    .container {
        margin: 15px;
    }
}